Как вы устанавливаете m2e-android-плагин в Eclipse?

Я пытаюсь настроить использование файлов Maven и pom.xml в Eclipse для моих проектов Android. У меня есть установка Eclipse Indigo (включая m2e), установлен Android SDK, установлен ADT. Я изо всех сил пытаюсь понять, что значит "установить m2e-android-plugin" (Меня всегда берутэта страница который содержит инструкции по его установке, но которому я не могу следовать) В частности, когда я прохожу инструкции на этой странице, после того как я выполню все шаги в части 2, моя структура не имеет & quot; Maven Dependencies & quot; и мой файл pom.xml показывает следующую ошибку:

Project build error: Unresolveable build extension: Plugin
com.jayway.maven.plugins.android.generation2:android-maven-plugin:3.1.1 or one of its dependencies could 
not be resolved: The following artifacts could not be resolved: 
com.jayway.maven.plugins.android.generation2:android-maven-plugin:jar:3.1.1, 
com.android.ddmlib:ddmlib:jar:r16, org.sonatype.sisu:sisu-inject-bean:jar:2.1.1,     
org.sonatype.sisu:sisu-guice:jar:no_aop:2.9.4, org.codehaus.plexus:plexus- archiver:jar:2.0.1, junit:junit:jar:3.8.1, 
org.codehaus.plexus:plexus-io:jar:2.0.1, org.codehaus.plexus:plexus-utils:jar:3.0, commons-jxpath:commons-
jxpath:jar:1.3, commons-io:commons-io:jar:2.0.1, org.ow2.asm:asm:jar:4.0, commons-lang:commons-lang:jar:
2.6, org.sonatype.aether:aether-util:jar:1.12: Failure to transfer 
com.jayway.maven.plugins.android.generation2:android-maven-plugin:jar:3.1.1 from http://repo1.maven.org/
maven2 was cached in the local repository, resolution will not be reattempted until the update interval of central 
has elapsed or updates are forced. Original error: Could not transfer artifact 
com.jayway.maven.plugins.android.generation2:android-maven-plugin:jar:3.1.1 from/to central (http://
repo1.maven.org/maven2): No response received after 60000

вместе с:

Project build error: Unknown packaging: apk

на линии

<packaging>apk</packaging>

Ответы на вопрос(2)

Решение Вопроса

и все работает как положено, предположим, что вы правильно установили Android SDK и Maven (лучше использовать последнюю версию), это единственные подключаемые модули Eclipse, необходимые для работы с Mavenized Android Project:

adt m2e m2e-android

Проверьте мой скриншотHelp -> Install New Software... -> what is already installed:

enter image description here

Если вы будете следовать инструкциям отэта страница начиная с нового проекта, & lt; packaging & gt; ошибка, скорее всего, связана с более ранней версией maven-release-plugin (если вы ее явно не указали). Наведите указатель мыши на & lt; упаковку & gt; элемент в pom.xml, вы должны получить несколько подсказок, таких как:

maven-resources-plugin prior to 2.4 is not supported by m2e. Use maven-resources-plugin version 2.4 or later.

Добавить следующий плагин в разделе & lt; plugins & gt ;:

<plugin>
  <artifactId>maven-resources-plugin</artifactId>
  <version>2.5</version>
</plugin>

Затем щелкните правой кнопкой мыши новый проект и выберите Maven - & gt; Обновите конфигурацию проекта, это должно исправить все ошибки и дать вам рабочий пример.

 14 июн. 2012 г., 00:02
Да, я вижу (никогда не показывалось). Продолжая с да.
 Leo13 июн. 2012 г., 23:56
Я пытался пройти через Eclipse Marketplace. Когда я нажимаю «Установить», я получаю следующее сообщение & quot; Следующие решения недоступны: Конфигуратор Android Для M2E Все равно продолжить установку? & Quot;
 Leo14 июн. 2012 г., 00:45
Да, похоже, что он на самом деле не был установлен, и, таким образом, материал все еще не работает ...
 14 июн. 2012 г., 03:18
В соответствии с журналом ошибок Maven, похоже, не загружает все необходимые зависимости, обратите внимание, что загрузка всех зависимостей может занять некоторое время при первом запуске Maven. проверьте ваш локальный репозиторий maven (обычно в вашем профиле / .m2 / repository /), посмотрите, находится ли android-maven-plugin-3.1.1.jar здесь / com / jayway / maven / plugins / android / generation2 / android-maven -plugin / 3.1.1, если нет, попробуйте повторно импортировать проект несколько раз или вручную устранить все отсутствующие зависимости.
 14 июн. 2012 г., 09:36
Эй, ребята, если у вас возникли проблемы с установкой m2e-android, пожалуйста, сообщите о проблемах проекта:github.com/rgladwell/m2e-android/issues/new

ipse JUNO. Затем попытался установить через & quot; Установить новое программное обеспечение & quot; волшебник, а не рыночная площадь.

Добавьте следующее в качестве сайта обновлений и выберите & quot; Android For Maven eclipse & quot; из перечисленных программ и установить.

http://rgladwell.github.com/m2e-android/updates - Спасибо @NullNoname за предоставление сайта обновления.

 22 нояб. 2014 г., 10:27
Ссылка не работает для меня. Я получаю сообщение:There isn't a GitHub Page here. Не могли бы вы исправить ссылку?

Ваш ответ на вопрос